summaryrefslogtreecommitdiff
path: root/stages/second_stage.sh
diff options
context:
space:
mode:
Diffstat (limited to 'stages/second_stage.sh')
-rw-r--r--stages/second_stage.sh51
1 files changed, 39 insertions, 12 deletions
diff --git a/stages/second_stage.sh b/stages/second_stage.sh
index 192b946..ea623a7 100644
--- a/stages/second_stage.sh
+++ b/stages/second_stage.sh
@@ -18,25 +18,52 @@
# along with this program. If not, see <https://www.gnu.org/licenses/>.
+# Stop at any error to optimize debugging:
+
+set -e
+
+
+# Debug output
+
echo "Entering second_stage.sh - OK"
-bash configure_keyboard.sh de-latin1
+# Set timezone
+
+ln -sf $path_to_timezone /etc/localtime
+hwclock --systohc
+
+
+# Localization
+
+echo "$locales_to_generate" >> /etc/locale.gen
+locale-gen
+touch /etc/locale.conf
+echo "LANG=$language" >> /etc/locale.conf
+touch /etc/vconsole.conf
+echo "KEYMAP=$keymap" >> /etc/vconsole.conf
+
+
+# Network configuration
+
+touch /etc/hostname
+echo "$hostname" > /etc/hostname
+touch /etc/hosts
+echo "127.0.0.1 localhost" >> /etc/hosts
+echo "::1 localhost" >> /etc/hosts
+
+
+# Initramfs
-bash configure_locales.sh
+### to be implemented
-bash configure_timezone.sh /usr/share/zoneinfo/Europe/Berlin
-bash configure_network.sh $hostname
+# Setting root password
-if [ $system_encryption == "yes" ]; then
- bash configure_initramfs.sh
-fi
+echo "root:${DEFAULT_PASSWORD}" | chpasswd
-bash configure_users.sh $admin_username $DEFAULT_PASSWORD
-bash install_bootloader.sh $efi_partition_path $system_encryption $main_partition_path
+# Install bootloader
-if [ "$desktop" = "yes" ]; then
- bash configure_desktop.sh $desktop
-fi
+grub-install --target=i386-pc $path_to_disk
+grub-mkconfig -o /boot/grub/grub.cfg